html{
    font-size: 20px;
}
body{
    font-family: 'Raleway', sans-serif !important;
}
.container{
    width:80%;
    margin:0 auto;
    padding: 0;
}

.banner{
    background-image:url("../img/24x11-1600x733-daily-habits-nutrition-kit\ 1\ 1.png");
    background-size:cover;
    height:600px;
    color:white;
}
.banner__content{
    width:55%;
    padding-top:13%;
    animation: animationbanner 2s linear 1;
}
.banner__content-title {
    font-weight: 900;
    font-size: 2.4rem;
    margin-bottom: 30px;
    line-height: 55px;
}

.banner__content-subtitle {
    font-size: 1.2rem;
    margin-bottom: 40px;
}


.banner__center {
    display: block;
    background: #F0E5FF;
    box-sizing: border-box;
    margin-top: 50px;
}

.banner__content-gen{
    display: flex;
    flex-direction: row;
    height:270px;
    align-items: center;
    justify-content: space-between;
  

}
.banner__content-text{
    width:50%;
}
.banner__center-subtitle{
    font-weight: 700;
    color: #946FD3;
    text-transform: uppercase;
}
.banner__center-title{
    font-weight: 700;
    font-size:1.9rem;
    padding-bottom: 18px;
    line-height:2.2rem;
    color: #354657;

}

.banner__center-button{
    display: block;
    border: 2px solid #946FD3;
    border-radius: 50px; 
    background-color: #946FD3;
    width:206px;
    padding:20px;
    color: white;
    font-weight: bold;
    font-size: 0.8rem;
    transition:all .5s;
    text-align: center;
}

.banner__content-image :nth-child(2) {
    position: relative;
    left: -30%;
    -webkit-animation: banner__content-image1 2s linear infinite;
    animation: banner__content-image1 2s linear infinite;
}
.banner__content-image :nth-child(1) {
    position: relative;
    -webkit-animation: banner__content-image2 2s linear infinite;
    animation: banner__content-image2 2s linear infinite;
}


.cards__grid{
    display: flex;
    flex-direction: row;
    justify-content: space-between;
}


.cards__header{
    margin: 109px;
    margin-bottom: 50px;
    text-align: center;
    font-size: 1.8rem;
    font-weight: 700;
    color: #354657;

}


.cards__grid-item{
    width:32%;
    color: #354657;
    overflow: hidden;
}
.item-title{
    font-size:1.2rem;
    padding-left: 25px;
    padding-right: 25px;
    font-weight: bold;
    margin-top: 30px;
    margin-bottom: 30px;
}
.item-text{
    padding-left: 25px;
    padding-right: 25px;
    font-size:.8rem;
    margin-top: 30px;
    margin-bottom: 30px;
}

.item-btn{ 
    display: block;
    border: 2px solid #946FD3;
    border-radius: 50px; 
    background-color: white;
    width:206px;
    padding:20px;
    font-weight: bold;
    font-size: 0.8rem;
    transition:all .5s;
    text-align: center;
    margin-left:25px;
    margin-top: 30px;
    margin-bottom: 30px;
    color: #946FD3;
}

.cards__grid-item:hover{
    transform:rotateY(180deg);
    transition: all 2s ease;
    background: #946FD3;
}
.cards__grid-item:hover .item-text{
    transform:rotateY(180deg);
}
.cards__grid-item:hover .item-title{
    transform:rotateY(180deg);
}
.cards__grid-item:hover .item-btn{
    transform:rotateY(180deg);
    background: #946FD3;
    border: 2px solid white;
}
.cards__grid-item:hover > div {
    color:white;
}
/*@keyframes animationgrid {
    from {
        transform: rotateY(0);
    }
    to {
        transform: rotateY(180deg);
    }
}*/

@keyframes animationbanner {
    from {
        transform: translateX(-100vw);
    }
    to {
        transform: translateX(0) rotate(360deg)
    }
}  
@media screen and (max-width: 800px) {
    .banner {
        display: none;
    }
}
@keyframes banner__content-image1 {
    from {
        transform: rotateZ(0)
    }
    to {
        transform: rotateZ(360deg)
    }
}

@-webkit-keyframes banner__content-image1 {
    from {
        -webkit-transform: rotateZ(0)
    }
    to {
        -webkit-transform: rotateZ(360deg)
    }
}

@keyframes banner__content-image2 {
    from {
        transform: rotateZ(360deg)
    }
    to {
        transform: rotateZ(0)
    }
}

@-webkit-keyframes banner__content-image2 {
    from {
        -webkit-transform: rotateZ(360deg)
    }
    to {
        -webkit-transform: rotateZ(0)
    }
}
   